Subject: Re: bug#59381: Should xref--marker-ring be per-window?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Nov 2022 19:32:20 +0200

> Date: Sun, 20 Nov 2022 19:00:49 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 20.11.2022 09:09, Eli Zaretskii wrote:
> >> From: Ackerley Tng<[email-masked]>
> >> Date: Sat, 19 Nov 2022 14:01:52 -0800
> >> Cc: Juri Linkov<[email-masked]>,[email-masked]
> >>
> >> What if we copy the whole stackv from the old window whenever a new window is opened?
> > What will happen with that if you switch to another window which displays
> > the same file, or delete the window where the stack is kept?
> > 
> > And please note that results of creation and deletion of windows are not
> > always predictable from the user POV.  E.g., when you type "C-x 2", do you
> > always know which of the two windows will keep the ID of the original single
> > window?
> 
> If the stack is copied, isn't that a non-issue?

It is, provided that copying is indeed what the user wants.  But how can we
know?  A new window can be completely unrelated.

And I'm more worried by window deletion than by creation.

> And FWIW, in my personal config the stack isn't even copied. Somehow 
> that works out fine, with one small (but potentially significant) caveat 
> that in my config 'C-x 2' and 'C-x 3' always select the new window. 
> Making it obvious which of the windows in new, and thus isn't expected 
> to have existing history.

I don't see how this could work reliably enough.  Maybe I'm missing
something.